MWAWPosition Class Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
MWAWPosition Class Reference

Class to define the position of an object (textbox, picture, ..) in the document. More...

`#include <MWAWPosition.hxx>`

## Public Types
enum | AnchorTo { Char , CharBaseLine , Frame , Paragraph , Page , Cell , Unknown }
| a list of enum used to defined the anchor More...
enum | Wrapping { WNone , WBackground , WDynamic , WForeground , WParallel , WRunThrough }
| an enum used to define the wrapping: none, ... More...
enum | XPos { XRight , XLeft , XCenter , XFull }
| an enum used to define the relative X position More...
enum | YPos { YTop , YBottom , YCenter , YFull }
| an enum used to define the relative Y position More...

## Public Member Functions
| MWAWPosition (MWAWVec2f const &orig=MWAWVec2f(), MWAWVec2f const &sz=MWAWVec2f(), librevenge::RVNGUnit theUnit=librevenge::RVNG_INCH)
| constructor
| MWAWPosition (MWAWPosition const &)=default
MWAWPosition & | operator= (MWAWPosition const &)=default
MWAWPosition & | operator= (MWAWPosition &&)=default
| ~MWAWPosition ()
| destructor
bool | operator== (MWAWPosition const &f) const
| basic operator==
bool | operator!= (MWAWPosition const &f) const
| basic operator!=
bool | operator< (MWAWPosition const &f) const
| basic operator<
int | page () const
| returns the frame page
MWAWVec2f const & | origin () const
| return the frame origin
MWAWVec2f const & | size () const
| returns the frame size
MWAWVec2f const & | naturalSize () const
| returns the natural size (if known)
MWAWVec2f const & | leftTopClipping () const
| returns the left top clipping
MWAWVec2f const & | rightBottomClipping () const
| returns the right bottom clipping
librevenge::RVNGUnit | unit () const
| returns the unit
float | getInvUnitScale (librevenge::RVNGUnit fromUnit) const
| returns a float which can be used to scale some data in object unit
void | setPage (int pg) const
| sets the page
void | setOrigin (MWAWVec2f const &orig)
| sets the frame origin
void | setSize (MWAWVec2f const &sz)
| sets the frame size
void | setNaturalSize (MWAWVec2f const &naturalSz)
| sets the natural size (if known)
void | setUnit (librevenge::RVNGUnit newUnit)
| sets the dimension unit
void | setPagePos (int pg, MWAWVec2f const &newOrig) const
| sets/resets the page and the origin
void | setRelativePosition (AnchorTo anchor, XPos X=XLeft, YPos Y=YTop)
| sets the relative position
void | setAnchorToCell (librevenge::RVNGString const &cellName)
| sets the anchor to a cell position
void | setClippingPosition (MWAWVec2f lTop, MWAWVec2f rBottom)
| sets the clipping position
int | order () const
| returns background/foward order
void | setOrder (int ord) const
| set background/foward order

## Static Public Member Functions
static float | getScaleFactor (librevenge::RVNGUnit orig, librevenge::RVNGUnit dest)

## Public Attributes
AnchorTo | m_anchorTo
| anchor position
librevenge::RVNGString | m_anchorCellName
| the anchor cell name
XPos | m_xPos
| X relative position.
YPos | m_yPos
| Y relative position.
Wrapping | m_wrapping
| Wrapping.

## Protected Member Functions
int | cmp (MWAWPosition const &f) const
| basic function to compare two positions

## Protected Attributes
int | m_page
| the page
MWAWVec2f | m_orig
| the origin position in a page
MWAWVec2f | m_size
MWAWVec2f | m_naturalSize
| the natural size of the data (if known)
MWAWVec2f | m_LTClip
| the left top clip position
MWAWVec2f | m_RBClip
librevenge::RVNGUnit | m_unit
| the unit used in orig, in m_size and in m_LTClip , .... Default: in inches
int | m_order
| background/foward order

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWPosition const &pos)
| operator<<

## Detailed Description

Class to define the position of an object (textbox, picture, ..) in the document.

Stores the page, object position, object size, anchor, wrapping, ...

## Member Enumeration Documentation

## ◆ AnchorTo

enum MWAWPosition::AnchorTo

a list of enum used to defined the anchor

Enumerator
Char |
CharBaseLine |
Frame |
Paragraph |
Page |
Cell |
Unknown |

## ◆ Wrapping

enum MWAWPosition::Wrapping

an enum used to define the wrapping: none, ...

Enumerator
WNone |
WBackground |
WDynamic |
WForeground |
WParallel |
WRunThrough |

## ◆ XPos

enum MWAWPosition::XPos

an enum used to define the relative X position

Enumerator
XRight |
XLeft |
XCenter |
XFull |

## ◆ YPos

enum MWAWPosition::YPos

an enum used to define the relative Y position

Enumerator
YTop |
YBottom |
YCenter |
YFull |

## Constructor & Destructor Documentation

## ◆ MWAWPosition() [1/2]

MWAWPosition::MWAWPosition | ( | MWAWVec2f const & | orig = MWAWVec2f(),
|  | MWAWVec2f const & | sz = MWAWVec2f(),
|  | librevenge::RVNGUnit | theUnit = librevenge::RVNG_INCH )
| inlineexplicit

constructor

## ◆ MWAWPosition() [2/2]

MWAWPosition::MWAWPosition | ( | MWAWPosition const & |  | ) |
| default

## ◆ ~MWAWPosition()

MWAWPosition::~MWAWPosition | ( |  | ) |

destructor

## Member Function Documentation

## ◆ cmp()

int MWAWPosition::cmp | ( | MWAWPosition const & | f | ) | const
| inlineprotected

basic function to compare two positions

Referenced by operator!=(), operator<(), and operator==().

## ◆ getInvUnitScale()

float MWAWPosition::getInvUnitScale | ( | librevenge::RVNGUnit | fromUnit | ) | const
| inline

returns a float which can be used to scale some data in object unit

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWPresentationListener::insertSlideNote(), MWAWGraphicListener::insertTextBox(), MWAWPresentationListener::insertTextBox(), and MWAWOLEParser::parse().

## ◆ getScaleFactor()

static float MWAWPosition::getScaleFactor | ( | librevenge::RVNGUnit | orig,
|  | librevenge::RVNGUnit | dest )
| inlinestatic

Referenced by MWAWSection::Column::addTo(), MWAWParagraph::addTo(), getInvUnitScale(), MWAWParagraph::getMarginsWidth(), MWAWSpreadsheetListener::insertPicture(), MWAWTextListener::insertPicture(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), and MWAWFont::Script::str().

## ◆ leftTopClipping()

MWAWVec2f const & MWAWPosition::leftTopClipping | ( |  | ) | const
| inline

returns the left top clipping

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), and MWAWPresentationListener::_handleFrameParameters().

## ◆ naturalSize()

MWAWVec2f const & MWAWPosition::naturalSize | ( |  | ) | const
| inline

returns the natural size (if known)

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), and MWAWOLEParser::parse().

## ◆ operator!=()

bool MWAWPosition::operator!= | ( | MWAWPosition const & | f | ) | const
| inline

basic operator!=

## ◆ operator<()

bool MWAWPosition::operator< | ( | MWAWPosition const & | f | ) | const
| inline

basic operator<

## ◆ operator=() [1/2]

MWAWPosition & MWAWPosition::operator= | ( | MWAWPosition && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWPosition & MWAWPosition::operator= | ( | MWAWPosition const & |  | ) |
| default

## ◆ operator==()

bool MWAWPosition::operator== | ( | MWAWPosition const & | f | ) | const
| inline

basic operator==

## ◆ order()

int MWAWPosition::order | ( |  | ) | const
| inline

returns background/foward order

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::insertShape(), CanvasGraph::send(), and ClarisDrawGraph::sendShape().

## ◆ origin()

MWAWVec2f const & MWAWPosition::origin | ( |  | ) | const
| inline

return the frame origin

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::insertHeader(), MWAWPresentationListener::insertHeader(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), MWAWPresentationListener::insertSlideNote(), MWAWGraphicListener::insertTextBox(), MWAWPresentationListener::insertTextBox(), CanvasGraph::send(), MsWksGraph::send(), ReadySetGoGraph::send(), RagTimeParser::sendBasicPicture(), MsWksTable::sendChart(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendExtrude(), WingzGraph::sendGraphic(), ClarisWksGraph::sendGroup(), ClarisDrawGraph::sendGroup(), GreatWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), ClarisDrawGraph::sendMainGroupChild(), NisusWrtGraph::sendPicture(), MsWrdParser::sendPicture(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), GreatWksGraph::sendShape(), WingzGraph::sendShape(), and GreatWksGraph::sendTextbox().

## ◆ page()

int MWAWPosition::page | ( |  | ) | const
| inline

returns the frame page

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), and cmp().

## ◆ rightBottomClipping()

MWAWVec2f const & MWAWPosition::rightBottomClipping | ( |  | ) | const
| inline

returns the right bottom clipping

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), and MWAWPresentationListener::_handleFrameParameters().

## ◆ setAnchorToCell()

void MWAWPosition::setAnchorToCell | ( | librevenge::RVNGString const & | cellName | ) |
| inline

sets the anchor to a cell position

Referenced by RagTime5Spreadsheet::send(), BeagleWksDBParser::sendDatabase(), and GreatWksDBParser::sendDatabase().

## ◆ setClippingPosition()

void MWAWPosition::setClippingPosition | ( | MWAWVec2f | lTop,
|  | MWAWVec2f | rBottom )
| inline

sets the clipping position

Referenced by NisusWrtGraph::sendPicture(), and NisusWrtText::sendText().

## ◆ setNaturalSize()

void MWAWPosition::setNaturalSize | ( | MWAWVec2f const & | naturalSz | ) |
| inline

sets the natural size (if known)

Referenced by MWAWOLEParser::parse(), MWAWOLEParser::readContents(), MWAWOLEParser::readCONTENTS(), MacWrtParser::readGraphic(), WriterPlsParser::readGraphic(), MWAWOLEParser::readOlePres(), WriteNowText::readTokenV2(), FullWrtGraph::sendGraphic(), MacWrtProParser::sendPicture(), and WriteNowParser::sendPicture().

## ◆ setOrder()

void MWAWPosition::setOrder | ( | int | ord | ) | const
| inline

set background/foward order

Referenced by MsWksGraphInternal::Zone::getPosition(), CanvasGraph::send(), CricketDrawParser::send(), RagTime5Graph::send(), FreeHandParser::sendBackgroundPicture(), CricketDrawParser::sendBitmap(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendEmptyPicture(), MWAWTable::sendExtraLines(), WingzGraph::sendGraphic(), ClarisWksGraph::sendGroup(), ClarisDrawGraph::sendGroup(), ClarisDrawGraph::sendMainGroupChild(), ClarisWksGraph::sendPageChild(), and ClarisDrawGraph::sendShape().

## ◆ setOrigin()

void MWAWPosition::setOrigin | ( | MWAWVec2f const & | orig | ) |
| inline

sets the frame origin

Referenced by Canvas5Graph::send(), CanvasGraph::send(), MsWksGraph::send(), MacDraftParser::send(), Canvas5Graph::send(), RagTime5Graph::send(), ReadySetGoGraph::send(), MsWksTable::sendChart(), Canvas5Graph::sendCurveText(), CanvasGraph::sendDimension(), HanMacWrdJGraph::sendFrame(), HanMacWrdKGraph::sendFrame(), SpringBoardParser::sendFrame(), ClarisWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), NisusWrtGraph::sendPicture(), MsWrdParser::sendPicture(), MacWrtProParser::sendPicture(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), and GreatWksGraph::sendShape().

## ◆ setPage()

void MWAWPosition::setPage | ( | int | pg | ) | const
| inline

sets the page

Referenced by MsWks4ZoneInternal::Frame::Frame(), MacWrtProStructuresInternal::Graphic::getPosition(), MsWksGraphInternal::Zone::getPosition(), MsWks4Zone::readFRAM(), MacWrtParser::readInformations(), MacWrtParser::readInformationsV3(), RagTimeParser::send(), GreatWksGraph::sendFrame(), ClarisWksGraph::sendPageChild(), RagTime5Layout::sendPageContents(), NisusWrtGraph::sendPageGraphics(), HanMacWrdJGraph::sendPageGraphics(), HanMacWrdKGraph::sendPageGraphics(), WordMakerParser::sendPicture(), BeagleWksDRParser::sendPictures(), SuperPaintParser::sendPictures(), FullWrtGraph::sendSideBar(), and StudentWritingCParser::sendZone().

## ◆ setPagePos()

void MWAWPosition::setPagePos | ( | int | pg,
|  | MWAWVec2f const & | newOrig ) const
| inline

sets/resets the page and the origin

Referenced by BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksSSParser::sendFrame(), ClarisWksGraph::sendGroup(), and BeagleWksSSParser::sendSpreadsheet().

## ◆ setRelativePosition()

void MWAWPosition::setRelativePosition | ( | AnchorTo | anchor,
|  | XPos | X = XLeft,
|  | YPos | Y = YTop )
| inline

sets the relative position

Referenced by Canvas5BMParser::createDocument(), ClarisDrawParser::createDocument(), ClarisDrawGraph::flushExtra(), ClarisWksGraph::flushExtra(), HanMacWrdJGraph::flushExtra(), HanMacWrdKGraph::flushExtra(), MarinerWrtGraph::flushExtra(), NisusWrtGraph::flushExtra(), MacWrtProStructuresInternal::Graphic::getPosition(), MsWksGraphInternal::Zone::getPosition(), CorelPainterParser::getZonePosition(), ClarisDrawParser::parse(), ClarisWksBMParser::parse(), MsWksGraphInternal::SubDocument::parse(), MWAWOLEParser::readContents(), MWAWOLEParser::readCONTENTS(), MacWrtParser::readGraphic(), MindWrtParser::readGraphic(), WriterPlsParser::readGraphic(), MWAWOLEParser::readOlePres(), WriteNowText::readTokenV2(), RagTime5Text::send(), ReadySetGoGraph::send(), ReadySetGoGraph::send(), ScoopParser::send(), ScriptWriterParser::send(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), MsWksTable::sendChart(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendEmptyPicture(), MWAWTable::sendExtraLines(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksSSParser::sendFrame(), SpringBoardParser::sendFrame(), GreatWksGraph::sendFrame(), ActaText::sendGraphic(), FullWrtGraph::sendGraphic(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), LightWayTxtGraph::sendJPEG(), MsWksGraph::sendObjects(), ClarisWksGraph::sendPageChild(), NisusWrtGraph::sendPageGraphics(), HanMacWrdJGraph::sendPageGraphics(), HanMacWrdKGraph::sendPageGraphics(), LightWayTxtGraph::sendPICT(), GreatWksBMParser::sendPicture(), TeachTxtParser::sendPicture(), EDocParser::sendPicture(), NisusWrtGraph::sendPicture(), DocMkrParser::sendPicture(), MsWrdParser::sendPicture(), MarinerWrtGraph::sendPicture(), MacDocParser::sendPicture(), WordMakerParser::sendPicture(), StyleParser::sendPicture(), WriteNowParser::sendPicture(), JazzWriterParser::sendPLC(), MarinerWrtGraph::sendRule(), FullWrtGraph::sendSideBar(), BeagleWksSSParser::sendSpreadsheet(), ClarisWksText::sendText(), NisusWrtText::sendText(), MacWrtProParser::sendText(), GreatWksText::sendZone(), StudentWritingCParser::sendZone(), HanMacWrdJParser::sendZone(), and HanMacWrdKParser::sendZone().

## ◆ setSize()

void MWAWPosition::setSize | ( | MWAWVec2f const & | sz | ) |
| inline

sets the frame size

Referenced by MWAWOLEParser::readContents(), Canvas5Graph::send(), CanvasGraph::send(), RagTimeParser::send(), Canvas5Graph::send(), RagTime5Graph::send(), ReadySetGoGraph::send(), ClarisDrawGraph::sendBitmap(), ClarisWksGraph::sendBitmap(), MsWksTable::sendChart(), Canvas5Graph::sendCurveText(), CanvasGraph::sendDimension(), SpringBoardParser::sendFrame(), ClarisWksGraph::sendGroup(), MsWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), LightWayTxtGraph::sendJPEG(), ClarisWksGraph::sendPicture(), NisusWrtGraph::sendPicture(), MsWrdParser::sendPicture(), MacWrtProParser::sendPicture(), MarinerWrtGraph::sendPSZone(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), GreatWksGraph::sendShape(), and GreatWksGraph::sendTextbox().

## ◆ setUnit()

void MWAWPosition::setUnit | ( | librevenge::RVNGUnit | newUnit | ) |
| inline

sets the dimension unit

Referenced by MWAWOLEParser::readContents(), MWAWOLEParser::readCONTENTS(), MWAWOLEParser::readOlePres(), RagTime5Graph::send(), SpringBoardParser::sendFrame(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), LightWayTxtGraph::sendJPEG(), and MacWrtProParser::sendPicture().

## ◆ size()

MWAWVec2f const & MWAWPosition::size | ( |  | ) | const
| inline

returns the frame size

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWSpreadsheetListener::insertPicture(), MWAWTextListener::insertPicture(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), MWAWGraphicListener::insertTextBox(), MWAWPresentationListener::insertTextBox(), MWAWOLEParser::parse(), CanvasGraph::send(), MsWksGraph::send(), RagTimeSpreadsheet::send(), RagTime5Graph::send(), RagTime5Spreadsheet::send(), RagTime5Spreadsheet::send(), RagTime5Text::send(), ReadySetGoGraph::send(), ClarisDrawGraph::sendBitmap(), ClarisWksGraph::sendBitmap(), MsWksTable::sendChart(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendEmptyPicture(), Canvas5Graph::sendExtrude(), WingzGraph::sendGraphic(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), ClarisWksGraph::sendPicture(), NisusWrtGraph::sendPicture(), MacWrtProParser::sendPicture(), MarinerWrtGraph::sendPSZone(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), GreatWksGraph::sendShape(), WingzGraph::sendShape(), and GreatWksGraph::sendTextbox().

## ◆ unit()

librevenge::RVNGUnit MWAWPosition::unit | ( |  | ) | const
| inline

returns the unit

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWSpreadsheetListener::insertPicture(), MWAWTextListener::insertPicture(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), and MWAWOLEParser::parse().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWPosition const & | pos )
| friend

operator<<

## Member Data Documentation

## ◆ m_anchorCellName

librevenge::RVNGString MWAWPosition::m_anchorCellName

the anchor cell name

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), cmp(), MWAWSpreadsheetListener::openFrame(), MWAWTextListener::openFrame(), ClarisWksDatabase::sendDatabase(), and setAnchorToCell().

## ◆ m_anchorTo

AnchorTo MWAWPosition::m_anchorTo

anchor position

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), cmp(), MsWksGraph::flushExtra(), RagTimeParser::flushExtra(), RagTimeSpreadsheet::flushExtra(), RagTime5Graph::flushExtra(), RagTime5Spreadsheet::flushExtra(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::insertHeader(), MWAWPresentationListener::insertHeader(), MWAWSpreadsheetListener::insertPicture(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), MWAWSpreadsheetListener::insertTextBox(), MWAWSpreadsheetListener::openFrame(), MWAWTextListener::openFrame(), MWAWSpreadsheetListener::openGroup(), MWAWTextListener::openGroup(), MWAWGraphicListener::openTable(), MWAWPresentationListener::openTable(), Canvas5Graph::send(), Canvas5Image::send(), CanvasGraph::send(), CricketDrawParser::send(), MsWksGraph::send(), RagTimeParser::send(), MacDraft5Parser::send(), MacDraftParser::send(), MacDrawParser::send(), MacDrawProParser::send(), Canvas5Graph::send(), Canvas5Graph::send(), RagTime5Spreadsheet::send(), RagTime5Text::send(), CricketDrawParser::sendAll(), MsWksGraph::sendAll(), FreeHandParser::sendBackgroundPicture(), ClarisDrawGraph::sendBitmap(), ClarisWksGraph::sendBitmap(), CricketDrawParser::sendBitmap(), RagTime5ClusterManager::sendClusterMainList(), ClarisWksDatabase::sendDatabase(), CanvasGraph::sendDimension(), Canvas5Graph::sendDimension9(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendFrame(), HanMacWrdKGraph::sendFrame(), PowerPoint1Parser::sendFrame(), PowerPoint3Parser::sendFrame(), PowerPoint7Graph::sendFrame(), Canvas5Graph::sendGIF(), WingzGraph::sendGraphic(), ClarisWksGraph::sendGroup(), FreeHandParser::sendGroup(), GreatWksGraph::sendGroup(), HanMacWrdJGraph::sendGroup(), HanMacWrdKGraph::sendGroup(), ClarisDrawGraph::sendGroup(), MsWksGraph::sendGroup(), MsWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), MindWrtParser::sendHeaderFooter(), ClarisDrawGraph::sendMainGroupChild(), MouseWrtParser::sendMainZone(), CanvasGraph::sendMultiLines(), MsWksGraph::sendObjects(), RagTime5Layout::sendPageContents(), WingzGraph::sendPageGraphics(), FreeHandParser::sendPicture(), NisusWrtGraph::sendPicture(), BeagleWksDRParser::sendPictures(), SuperPaintParser::sendPictures(), MarinerWrtGraph::sendRule(), DrawTableParser::sendShape(), FreeHandParser::sendShape(), PowerPoint1Parser::sendSlide(), PowerPoint7Graph::sendSlide(), PowerPoint3Parser::sendSlides(), CanvasGraph::sendSpecial(), Canvas5Graph::sendSpecial(), MoreText::sendText(), FreeHandParser::sendTextbox(), GreatWksGraph::sendTextboxAsGraphic(), ClarisWksPresentation::sendZone(), ClarisWksDocument::sendZone(), setAnchorToCell(), setRelativePosition(), ApplePictParserInternal::State::updatePosition(), and ApplePictParserInternal::State::updatePosition().

## ◆ m_LTClip

MWAWVec2f MWAWPosition::m_LTClip
| protected

the left top clip position

Referenced by cmp(), leftTopClipping(), and setClippingPosition().

## ◆ m_naturalSize

MWAWVec2f MWAWPosition::m_naturalSize
| protected

the natural size of the data (if known)

Referenced by cmp(), naturalSize(), and setNaturalSize().

## ◆ m_order

int MWAWPosition::m_order
| mutableprotected

background/foward order

Referenced by order(), and setOrder().

## ◆ m_orig

MWAWVec2f MWAWPosition::m_orig
| protected

the origin position in a page

Referenced by cmp(), origin(), setOrigin(), and setPagePos().

## ◆ m_page

int MWAWPosition::m_page
| protected

the page

Referenced by page(), setPage(), and setPagePos().

## ◆ m_RBClip

MWAWVec2f MWAWPosition::m_RBClip
| protected

Referenced by cmp(), rightBottomClipping(), and setClippingPosition().

## ◆ m_size

MWAWVec2f MWAWPosition::m_size
| protected

Referenced by cmp(), setSize(), and size().

## ◆ m_unit

librevenge::RVNGUnit MWAWPosition::m_unit
| protected

the unit used in orig, in m_size and in m_LTClip , .... Default: in inches

Referenced by cmp(), getInvUnitScale(), setUnit(), and unit().

## ◆ m_wrapping

Wrapping MWAWPosition::m_wrapping

Wrapping.

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), Canvas5BMParser::createDocument(), MacWrtProStructuresInternal::Graphic::getPosition(), MsWksGraphInternal::Zone::getPosition(), CorelPainterParser::getZonePosition(), ClarisWksBMParser::parse(), MsWksGraph::send(), RagTimeParser::send(), RagTime5Graph::send(), RagTime5Graph::send(), ReadySetGoGraph::send(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), MWAWTable::sendExtraLines(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksSSParser::sendFrame(), PowerPoint7Graph::sendFrame(), GreatWksGraph::sendFrame(), ClarisWksGraph::sendGroup(), ClarisDrawGraph::sendGroup(), MsWksGraph::sendGroup(), MsWksGraph::sendGroupChild(), ClarisWksGraph::sendGroupChild(), MindWrtParser::sendHeaderFooter(), ClarisDrawGraph::sendMainGroupChild(), MsWksGraph::sendObjects(), ClarisWksGraph::sendPageChild(), NisusWrtGraph::sendPageGraphics(), GreatWksBMParser::sendPicture(), TeachTxtParser::sendPicture(), NisusWrtGraph::sendPicture(), DocMkrParser::sendPicture(), MsWrdParser::sendPicture(), WordMakerParser::sendPicture(), FullWrtGraph::sendSideBar(), NisusWrtText::sendText(), GreatWksGraph::sendTextboxAsGraphic(), and StudentWritingCParser::sendZone().

## ◆ m_xPos

XPos MWAWPosition::m_xPos

X relative position.

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), cmp(), setAnchorToCell(), and setRelativePosition().

## ◆ m_yPos

YPos MWAWPosition::m_yPos

Y relative position.

Referenced by MWAWSpreadsheetListener::_handleFrameParameters(), MWAWTextListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), cmp(), setAnchorToCell(), and setRelativePosition().

The documentation for this class was generated from the following files:

- MWAWPosition.hxx
- MWAWPosition.cxx